Subject: Re: [PATCH v2 0/4] Enable Rust by default

From: Derrick Stolee <[email-masked]>
Date: Fri, 10 Apr 2026 09:02:13 -0400

On 4/9/2026 6:44 PM, brian m. carlson wrote:
> Our breaking changes document said that we would enable Rust support by
> default in Git 2.53, while still leaving the ability for it to be
> disabled.  Unfortunately, we forgot to do that and my time machine is
> broken right now, so this series sets it up for Git 2.54.

I'm glad you're remembering to help us follow through on this promise.

However, I'm worried that we shouldn't do this change during the rc
window for 2.54.0. Perhaps we could get a small patch that updates the
docs to say "we really mean 2.55.0" that lands in the 2.54.0 release,
and then we merge the requirements for the build in the first batch
after the release.

This would give us a full release cycle to simmer with the requirement
instead of slipping it in for the last rc.

Thanks,
-Stolee